{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>FunCovidInfo | {{ diskusi.judul }}</title>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script type="application/javascript" src="{% static 'forum/js/script2.js' %}"></script>
{% endblock meta %}

{% block content %}
    <div class="container" id="readPost">
        <div class="atasbawah alignatasbawahkiri">
        
                    <div style="padding-bottom: 20px;">
                        <a href="{% url 'forum:forum1' %}" class="edit">&lt Kembali Ke Forum</a>
                    </div>
            <div class="judulPostInside">
                {{ diskusi.judul }}
            </div>
            <div class="subJudulPostInside">
                oleh <a href="{% url 'forum:profil' diskusi.penulis.username %}" class="edit"> {{ diskusi.penulis }}</a> |
                <a href="{% url 'forum:forum2' diskusi.kategori %}" {% if diskusi.kategori == 'umum' %}class="blue"{% elif diskusi.kategori == 'info' %}class="red"{% elif diskusi.kategori == 'hd' %}class="yellow"{% elif diskusi.kategori == 'hs' %}class="purple"{% elif diskusi.kategori == 'th' %}class="green"{% elif diskusi.kategori == 'tp' %}class="black"{% endif %}>
                    {% if diskusi.kategori == 'umum' %}Diskusi Umum{% elif diskusi.kategori == 'info' %}Informasi Covid-19{% elif diskusi.kategori == 'hd' %}Hoax Destroyer{% elif diskusi.kategori == 'hs' %}Hoax Spreader{% elif diskusi.kategori == 'th' %}Test Hoax{% elif diskusi.kategori == 'tp' %}Test Pengetahuan Covid-19{% endif %}
                </a>
                 | Dibuat : {{ diskusi.tanggalPost|date:'d M Y H:i' }} WIB  
                {% if diskusi.penulis == request.user %} | 
                    <a href="{% url 'forum:editPost' diskusi.pk %}" class="edit"> edit </a> | 
                    <a href="{% url 'forum:confirmDeletePost' diskusi.pk %}" class="edit"> delete </a>
                {% endif %}
            </div>
            <div class="kanankiri alignkanankiriatas bodyPostInside">
                <div class="atasbawah alignatasbawahkiri isiPostInside">
                    <div>
                        {{ diskusi.isi|safe|linebreaks }}
                    </div>
                    <br>
                    <div class="judulPostInside borderatas" style="width: 100%;">
                        Komentar
                    </div>
                    <div class="atasbawah" style="width: 100%;">
                        {% if user.is_authenticated %}
                        <div class="form">
                            <form method="POST">
                                {% csrf_token %}
                                {{ form.as_p }}
                                <div>
                                    <button type="submit" class="button1" id="commentButton">Post Komentar</button>
                                </div>
                            </form>
                        </div>
                        {% endif %}
                        <div class="komen-container borderatas">
                            {% if komen %}
                                {% for k in komen %}
                                    <div class="one-komen-container">
                                        <div class="komen">
                                            <div class="kanankiri inside-post-komen">
                                                <div class="profile-container-komen">
                                                    <div class="profile-komen" {% for w in semuaWarna %}{% if w.user == k.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                                        <div class="atasbawah center inisial-komen">
                                                            {{ k.penulis|make_list|first|upper }}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="atasbawah alignatasbawahkiri snippet-komen">
                                                    <div class="kanankiri headerKomen">
                                                        <div class="judulKomen">
                                                            <a href="{% url 'forum:profil' k.penulis.username %}" class="link-normal">{{ k.penulis }}</a>
                                                        </div>
                                                        <span class="subJudulKomen">
                                                            {{ k.tanggalPost|date:'d M Y H:i' }} WIB
                                                            {% if k.penulis == request.user %} | 
                                                                <a href="{% url 'forum:editComment' k.pk %}" class="edit"> edit </a> | 
                                                                <a href="{% url 'forum:confirmDeleteComment' k.pk %}" class="edit"> delete </a>
                                                            {% endif %}
                                                        </span>
                                                    </div>
                                                    <div class="isiKomen">
                                                        {{ k.isi|safe|linebreaks }}
                                                    </div>
                                                    <div class="balas"><a href="{% url 'forum:addReply' k.pk %}" class="balas"> Balas </a></div>
                                                </div>
                                            </div>
                                        </div>
                                        {% if k.jumlahReply != '0' %}
                                            <div class="showReplies">
                                                <div class="showRepliesChild1">
                                                    <i class="arrow down" style="margin: 3px 3px 3px 3px;"></i>
                                                    <p class="openCloseReplyP">Lihat {{ k.jumlahReply }} balasan</p>
                                                </div>
                                                <div class="showRepliesChild2">
                                                    <i class="arrow up" style="margin: 0px 3px 0px 0px;"></i>
                                                    <p class="openCloseReplyP">Tutup {{ k.jumlahReply }} balasan</p>
                                                </div>
                                            </div>
                                        {% endif %}
                                        <div class="reply-container">
                                        {% if reply %}
                                            {% for r in reply %}
                                                {% if r.komen == k %}
                                                    <div class="reply">
                                                        <div class="kanankiri inside-post-komen">
                                                            <div class="profile-container-komen">
                                                                <div class="profile-komen" {% for w in semuaWarna %}{% if w.user == r.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                                                    <div class="atasbawah center inisial-komen">
                                                                        {{ r.penulis|make_list|first|upper }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="atasbawah alignatasbawahkiri snippet-komen">
                                                                <div class="kanankiri headerKomen">
                                                                    <div class="judulKomen">
                                                                        <a href="{% url 'forum:profil' r.penulis.username %}" class="link-normal">{{ r.penulis }}</a>
                                                                    </div>
                                                                    <span class="subJudulKomen">
                                                                        {{ r.tanggalPost|date:'d M Y H:i' }} WIB
                                                                        {% if r.penulis == request.user %} | 
                                                                            <a href="{% url 'forum:editReply' k.pk r.pk %}" class="edit"> edit </a> |
                                                                            <a href="{% url 'forum:confirmDeleteReply' r.pk %}" class="edit"> delete </a>
                                                                        {% endif %}
                                                                    </span>
                                                                </div>
                                                                <div class="isiKomen">
                                                                    {{ r.isi|safe|linebreaks }}
                                                                </div>
                                                                <div class="balas"><a href="{% url 'forum:addReplyReply' r.pk %}" class="balas"> Balas </a></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                {% endif %}
                                            {% endfor %}
                                        {% endif %}
                                        </div>
                                    </div>
                                {% endfor %}
                            {% endif %}
                        </div>
                    </div>
                </div>
                <div class="diskusiLain">
                    <div class="atasbawah">
                    
                        <div class="atasbawah diskusiLainInside">
                            <div class="judulDiskusiLain" style="text-align: center;">
                                Diskusi Terbaru<br>
                                <a href="{% url 'forum:forum2' diskusi.kategori %}" {% if diskusi.kategori == 'umum' %}class="blue"{% elif diskusi.kategori == 'info' %}class="red"{% elif diskusi.kategori == 'hd' %}class="yellow"{% elif diskusi.kategori == 'hs' %}class="purple"{% elif diskusi.kategori == 'th' %}class="green"{% elif diskusi.kategori == 'tp' %}class="black"{% endif %}>
                                    {% if diskusi.kategori == 'umum' %}Diskusi Umum{% elif diskusi.kategori == 'info' %}Informasi Covid-19{% elif diskusi.kategori == 'hd' %}Hoax Destroyer{% elif diskusi.kategori == 'hs' %}Hoax Spreader{% elif diskusi.kategori == 'th' %}Test Hoax{% elif diskusi.kategori == 'tp' %}Test Pengetahuan Covid-19{% endif %}
                                </a>
                            </div>
                            {% if diskusiLatestInCategory %}
                                {% for d in diskusiLatestInCategory %}
                                    <div onclick="location.href='{% url 'forum:readPost' d.pk %}';" {% for w in semuaWarna %}{% if w.user == d.penulis %}{% if d.kategori == 'umum' %}class="post-small umum-small"{% elif d.kategori == 'info' %}class="post-small info-small"{% elif d.kategori == 'hd' %}class="post-small hd-small"{% elif d.kategori == 'hs' %}class="post-small hs-small"{% elif d.kategori == 'th' %}class="post-small th-small"{% elif d.kategori == 'tp' %}class="post-small tp-small"{% endif %}{% endif %}{% endfor %}>
                                        <div class="kanankiri inside-post-small">
                                            <div class="profile-container-small">
                                                <div class="profile-small" {% for w in semuaWarna %}{% if w.user == d.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                                    <div class="atasbawah center inisial-small">
                                                        {{ d.penulis|make_list|first|upper }}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="atasbawah alignatasbawahkiri snippet-small">
                                                <div class="judulPost-small">
                                                    {{ d.judul|truncatechars:50 }} <br>
                                                </div>
                                                <span class="subJudulPost-small">
                                                    <a href="{% url 'forum:forum2' d.kategori %}" {% if d.kategori == 'umum' %}class="blue"{% elif d.kategori == 'info' %}class="red"{% elif d.kategori == 'hd' %}class="yellow"{% elif d.kategori == 'hs' %}class="purple"{% elif d.kategori == 'th' %}class="green"{% elif d.kategori == 'tp' %}class="black"{% endif %}>
                                                        {% if d.kategori == 'umum' %}(Diskusi Umum){% elif d.kategori == 'info' %}(Informasi Covid-19){% elif d.kategori == 'hd' %}(Hoax Destroyer){% elif d.kategori == 'hs' %}(Hoax Spreader){% elif d.kategori == 'th' %}(Test Hoax){% elif d.kategori == 'tp' %}(Test Pengetahuan Covid-19){% endif %}
                                                    </a> 
                                                     oleh 
                                                    <a href="{% url 'forum:profil' d.penulis.username %}" class="edit"> {{ d.penulis }} </a>
                                                     pada {{ d.tanggalPost|date:'d-M-Y H:i' }} WIB 
                                                    {% if d.penulis == request.user %} | 
                                                        <a href="{% url 'forum:editPost' d.pk %}" class="edit"> edit </a>
                                                    {% endif %}
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            {% else %}    
                                <span class="judulDiskusiLain" style="font-size: 1.4vw;">(Maaf, tidak terdapat diskusi yang sesuai)</span>
                            {% endif %}
                        </div>
                        
                        <div class="atasbawah diskusiLainInside">
                            <div class="judulDiskusiLain">
                                Diskusi Lain
                            </div>
                            {% if randomDiskusi %}
                                {% for d in randomDiskusi %}
                                    <div onclick="location.href='{% url 'forum:readPost' d.pk %}';" {% for w in semuaWarna %}{% if w.user == d.penulis %}{% if d.kategori == 'umum' %}class="post-small umum-small"{% elif d.kategori == 'info' %}class="post-small info-small"{% elif d.kategori == 'hd' %}class="post-small hd-small"{% elif d.kategori == 'hs' %}class="post-small hs-small"{% elif d.kategori == 'th' %}class="post-small th-small"{% elif d.kategori == 'tp' %}class="post-small tp-small"{% endif %}{% endif %}{% endfor %}>
                                        <div class="kanankiri inside-post-small">
                                            <div class="profile-container-small">
                                                <div class="profile-small" {% for w in semuaWarna %}{% if w.user == d.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                                    <div class="atasbawah center inisial-small">
                                                        {{ d.penulis|make_list|first|upper }}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="atasbawah alignatasbawahkiri snippet-small">
                                                <div class="judulPost-small">
                                                    {{ d.judul|truncatechars:50 }} <br>
                                                </div>
                                                <span class="subJudulPost-small">
                                                    <a href="{% url 'forum:forum2' d.kategori %}" {% if d.kategori == 'umum' %}class="blue"{% elif d.kategori == 'info' %}class="red"{% elif d.kategori == 'hd' %}class="yellow"{% elif d.kategori == 'hs' %}class="purple"{% elif d.kategori == 'th' %}class="green"{% elif d.kategori == 'tp' %}class="black"{% endif %}>
                                                        {% if d.kategori == 'umum' %}(Diskusi Umum){% elif d.kategori == 'info' %}(Informasi Covid-19){% elif d.kategori == 'hd' %}(Hoax Destroyer){% elif d.kategori == 'hs' %}(Hoax Spreader){% elif d.kategori == 'th' %}(Test Hoax){% elif d.kategori == 'tp' %}(Test Pengetahuan Covid-19){% endif %}
                                                    </a> 
                                                     oleh 
                                                    <a href="{% url 'forum:profil' d.penulis.username %}" class="edit"> {{ d.penulis }} </a>
                                                     pada {{ d.tanggalPost|date:'d-M-Y H:i' }} WIB 
                                                    {% if d.penulis == request.user %} | 
                                                        <a href="{% url 'forum:editPost' d.pk %}" class="edit"> edit </a>
                                                    {% endif %}
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            {% else %}    
                                <span class="judulDiskusiLain" style="font-size: 1.4vw;">(Maaf, tidak terdapat diskusi yang sesuai)</span>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}